package com.docus.server.collect;

import javax.jws.WebService;

@WebService
public interface IWebServiceServer {

    /**
     * 科室信息接收，进行操作
     *
     * @param receiveUser 接收到的科室数据
     * @return 返回结果
     */
    String deptModify(String receiveUser);

    String setTBasic(String str);

    String updateTBasic(String str);

    /**
     * 用户信息接收，进行操作
     *
     * @param receiveUser 接收到的用户参数
     * @return 返回结果
     */
    String userModify(String receiveUser);


    /**
     * 接收重症报告信息
     *
     * @param icuReportMessage 重症报告信息
     * @return 返回信息
     */
    String pushICUReport(String icuReportMessage);

    /**
     * 接收检验报告信息
     *
     * @param examinationReportMessage 检验报告信息
     * @return 返回信息
     */
    String pushExaminationReport(String examinationReportMessage);

    /**
     * 接收检查报告的信息 - 新增
     *
     * @param inspectionReportMessage 检查报告信息 - 新增
     * @return 成功或者异常信息
     */
    String pushAddInspectionReport(String inspectionReportMessage);

    /**
     * 接收检查报告的信息 - 更新
     *
     * @param inspectionReportMessage 检查报告信息 -更新
     * @return 成功或者异常信息
     */
    String pushUpdateInspectionReport(String inspectionReportMessage);


    /**
     * 接收检查报告的信息 - 更新
     *
     * @param xml 检查报告信息 -更新
     * @return 成功或者异常信息
     */
    String querySdJxIndexTest(String xml);

    String querySdJxIndexNoResultTest(String xml);
}
